# PetscOptionsSetValue

Sets an option name-value pair in the options database, overriding whatever is already present.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscOptionsSetValue(const char iname[],const char value[])

Not collective, but setting values on certain processors could cause problems for parallel objects looking for options.

### Input Parameters

| name | - name of option, this SHOULD have the - prepended
| value | - the option value (not used for all options)

### Note

Only some options have values associated with them, such as -ksp_rtol tol. Other options stand alone, such as -ksp_monitor.

### See Also

PetscOptionsInsert()

Level:intermediate
Location: src/sys/objects/options.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/pc/examples/tutorials/ex1.c.html
src/ksp/pc/examples/tutorials/ex2.c.html
src/snes/examples/tutorials/ex23.c.html
src/snes/examples/tutorials/ex24.c.html
src/snes/examples/tutorials/ex30.c.html